# $Revision: 1.5.2.3 $, $Date: 2005/01/09 20:06:30 $
Summary:	UML modeling environment written in Python
Summary(pl):	rodowisko modelowania UML oparte o Pythona
Name:		gaphor
Version:	0.5.0
Release:	5
License:	GPL
Group:		Applications/Engineering
Source0:	http://dl.sourceforge.net/gaphor/%{name}-%{version}.tar.gz
# Source0-md5:	761451126030e3171d0b20fee829d800
Source1:	%{name}.desktop
Patch0:		%{name}-pluginsdir.patch
Patch1:		%{name}-datadir.patch
Patch2:		%{name}-int-overflow.patch
URL:		http://gaphor.sourceforge.net/
BuildRequires:	python-devel
Requires:	python-diacanvas >= 0.13
%pyrequires_eq	python-libs
Requires:	python-pygtk-gtk >= 2.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gaphor is an easy to use modeling environment. This means that you are
able to create nice UML diagrams for documentation and to assist you
with design decisions. Gaphor will help you create your applications.

%description -l pl
Gaphor jest atwym w uyciu rodowiskiem do projektowania UML. To
znaczy uatwia tworzenie diagramw UML dla dokumentacji oraz pomaga w
podejmowaniu decyzji. Gaphor uatwia prac przy tworzeniu aplikacji.

%prep
%setup -q
%patch0
%patch1
%patch2 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}}

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

cat <<EOF > $RPM_BUILD_ROOT%{_bindir}/%{name}
#!/usr/bin/python -O
import gaphor
gaphor.main()
EOF

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README PKG-INFO NEWS TODO AUTHORS
%attr(755,root,root) %{_bindir}/*
%dir %{py_sitescriptdir}/%{name}
%dir %{py_sitescriptdir}/%{name}/ui
%dir %{py_sitescriptdir}/%{name}/misc
%dir %{py_sitescriptdir}/%{name}/diagram
%dir %{py_sitescriptdir}/%{name}/UML
%{py_sitescriptdir}/%{name}/*.py[oc]
%{py_sitescriptdir}/%{name}/ui/*.py[oc]
%{py_sitescriptdir}/%{name}/misc/*.py[oc]
%{py_sitescriptdir}/%{name}/diagram/*.py[oc]
%{py_sitescriptdir}/%{name}/UML/*.py[oc]
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gaphor.spec,v $
Revision 1.5.2.3  2005/01/09 20:06:30  saq
- int-overflow.patch to fix build

Revision 1.5.2.2  2005/01/09 19:45:38  saq
- typo

Revision 1.5.2.1  2005/01/09 19:44:07  saq
- missing pyreqeq, release 5
- AC-branch because of broken version on HEAD

Revision 1.5  2004/11/16 23:18:57  paladine
- rel 4 for fixed desktop file

Revision 1.4  2004/11/14 21:46:52  havner
- rel up for rebuild with python-pygtk

Revision 1.3  2004/10/20 08:51:40  undefine
- desktop file, release 2

Revision 1.2  2004/08/28 19:37:40  qboosh
- typo(?)

Revision 1.1  2004/08/28 00:03:15  undefine
- initial rpm version, nice tool :)
